Commit 6069731d authored by Jonathan Cichon's avatar Jonathan Cichon

Bundle and Pod update, more options used in example

parent bf3a391d
GEM
remote: https://rubygems.org/
specs:
CFPropertyList (2.3.5)
activesupport (4.2.8)
CFPropertyList (3.0.0)
activesupport (4.2.10)
i18n (~> 0.7)
minitest (~> 5.1)
thread_safe (~> 0.3, >= 0.3.4)
tzinfo (~> 1.1)
claide (1.0.1)
cocoapods (1.2.0)
atomos (0.1.2)
claide (1.0.2)
cocoapods (1.5.0)
activesupport (>= 4.0.2, < 5)
claide (>= 1.0.1, < 2.0)
cocoapods-core (= 1.2.0)
cocoapods-deintegrate (>= 1.0.1, < 2.0)
cocoapods-downloader (>= 1.1.3, < 2.0)
claide (>= 1.0.2, < 2.0)
cocoapods-core (= 1.5.0)
cocoapods-deintegrate (>= 1.0.2, < 2.0)
cocoapods-downloader (>= 1.2.0, < 2.0)
cocoapods-plugins (>= 1.0.0, < 2.0)
cocoapods-search (>= 1.0.0, < 2.0)
cocoapods-stats (>= 1.0.0, < 2.0)
cocoapods-trunk (>= 1.1.2, < 2.0)
cocoapods-trunk (>= 1.3.0, < 2.0)
cocoapods-try (>= 1.1.0, < 2.0)
colored (~> 1.2)
colored2 (~> 3.1)
escape (~> 0.0.4)
fourflusher (~> 2.0.1)
gh_inspector (~> 1.0)
molinillo (~> 0.5.5)
molinillo (~> 0.6.5)
nap (~> 1.0)
ruby-macho (~> 0.2.5)
xcodeproj (>= 1.4.1, < 2.0)
cocoapods-core (1.2.0)
activesupport (>= 4.0.2, < 5)
ruby-macho (~> 1.1)
xcodeproj (>= 1.5.7, < 2.0)
cocoapods-core (1.5.0)
activesupport (>= 4.0.2, < 6)
fuzzy_match (~> 2.0.4)
nap (~> 1.0)
cocoapods-deintegrate (1.0.1)
cocoapods-downloader (1.1.3)
cocoapods-deintegrate (1.0.2)
cocoapods-downloader (1.2.0)
cocoapods-plugins (1.0.0)
nap
cocoapods-search (1.0.0)
cocoapods-stats (1.0.0)
cocoapods-trunk (1.1.2)
cocoapods-trunk (1.3.0)
nap (>= 0.8, < 2.0)
netrc (= 0.7.8)
netrc (~> 0.11)
cocoapods-try (1.1.0)
colored (1.2)
colored2 (3.1.2)
concurrent-ruby (1.0.5)
escape (0.0.4)
fourflusher (2.0.1)
fuzzy_match (2.0.4)
gh_inspector (1.0.3)
i18n (0.8.1)
minitest (5.10.1)
molinillo (0.5.7)
nanaimo (0.2.3)
gh_inspector (1.1.3)
i18n (0.9.5)
concurrent-ruby (~> 1.0)
minitest (5.11.3)
molinillo (0.6.5)
nanaimo (0.2.5)
nap (1.1.0)
netrc (0.7.8)
ruby-macho (0.2.6)
netrc (0.11.0)
ruby-macho (1.1.0)
thread_safe (0.3.6)
tzinfo (1.2.2)
tzinfo (1.2.5)
thread_safe (~> 0.1)
xcodeproj (1.4.2)
CFPropertyList (~> 2.3.3)
activesupport (>= 3)
claide (>= 1.0.1, < 2.0)
colored (~> 1.2)
nanaimo (~> 0.2.3)
xcodeproj (1.5.7)
CFPropertyList (>= 2.3.3, < 4.0)
atomos (~> 0.1.2)
claide (>= 1.0.2, < 2.0)
colored2 (~> 3.1)
nanaimo (~> 0.2.4)
PLATFORMS
ruby
......@@ -70,4 +73,4 @@ DEPENDENCIES
cocoapods
BUNDLED WITH
1.12.5
1.16.1
PODS:
- PureLayout (2.0.6)
- SDWebImage (3.8.2):
- SDWebImage/Core (= 3.8.2)
- SDWebImage/Core (3.8.2)
- Tickaroo2CoreEmbed (1.0.35):
- PureLayout (= 2.0.6)
- SDWebImage (~> 3.0)
- TickarooUI
- tik-iconpack (~> 0.1)
- TikJ2ObjcJRE
- TUSafariActivity (~> 1.0)
- TickarooUI (0.2.34):
- TickarooUI/Fonts (= 0.2.34)
- TickarooUI/Fonts (0.2.34)
- tik-iconpack (0.2.23)
- TikJ2ObjcJRE (1.2)
- TUSafariActivity (1.0.4)
- SDWebImage (4.3.3):
- SDWebImage/Core (= 4.3.3)
- SDWebImage/Core (4.3.3)
- Tickaroo2CoreEmbed (3.0.18):
- SDWebImage (~> 4.0)
- TickarooBase (= 3.0.18)
- TickarooBase (3.0.18)
DEPENDENCIES:
- Tickaroo2CoreEmbed
SPEC REPOS:
"git@git.tickaroo.com:pub/CocoaPods.git":
- Tickaroo2CoreEmbed
- TickarooBase
https://github.com/CocoaPods/Specs.git:
- SDWebImage
SPEC CHECKSUMS:
PureLayout: f25f0bb904d5ccfe6e31da3cb869185259f02e0d
SDWebImage: 098e97e6176540799c27e804c96653ee0833d13c
Tickaroo2CoreEmbed: ebed2b1e38eb37b3d32a465327b97444d5e53f63
TickarooUI: aa58d49f2b6a285d1b3bf01e9f6aa9fa97912582
tik-iconpack: 2b4b44841e6a2016d533732e7ca12f9cf832426d
TikJ2ObjcJRE: 874a885964aa1f6ae02378b02df0634e2ac7a8fa
TUSafariActivity: afc55a00965377939107ce4fdc7f951f62454546
SDWebImage: de4d90b5bff3571eae7bd16202b1f43135409fa5
Tickaroo2CoreEmbed: a9b3c69bdeee40141159268ae3fd580114c82435
TickarooBase: d2e4e44b5025a2a4ee3b4a9da6df2698c70e1ff6
PODFILE CHECKSUM: 5d924e086c68ffe53ad7b87645dc899423482e52
COCOAPODS: 1.2.0
COCOAPODS: 1.5.0
......@@ -106,4 +106,16 @@ Example for presenting a Ticker:
UIViewController *cont = [T2EmbedManager viewControllerForRef:ref];
[self.navigationController pushViewController:cont animated:YES];
Options for `TApiTickerRef`:
* `event_local_id` The deep linked event local id
* `tag_filter` Comma separated list of tag ids to filter
* `limit` Limit the number of events per request, default 15
* `show_scoreboard` Indicates whether to include the scoreboeard in the screen, default true
* `show_matches` Indicates whether to includes matches if any, default true
* `show_events` Indicates whether to include events in the screen, default true
* `show_lineup` Indicates whether to include the lineup in the screen, default true
* `show_meta` Indicates whether to include meta information in the screen, default true
* `show_event_meta` Indicates whether to include reporter information in events, default "off"
* `show_highlights` Indicates whether to include game highlights, default true
......@@ -111,7 +111,6 @@
DB8AC72F1E93E3B60095CC9F /* Sources */,
DB8AC7301E93E3B60095CC9F /* Frameworks */,
DB8AC7311E93E3B60095CC9F /* Resources */,
ED0BAC5887894DDB0F8D40A0 /* [CP] Embed Pods Frameworks */,
7753E29BC4C58ADD8FF6ADBA /* [CP] Copy Pods Resources */,
);
buildRules = (
......@@ -176,13 +175,16 @@
files = (
);
inputPaths = (
"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
"${PODS_ROOT}/Manifest.lock",
);
name = "[CP] Check Pods Manifest.lock";
outputPaths = (
"$(DERIVED_FILE_DIR)/Pods-TickarooEmbedSDKDemo-checkManifestLockResult.txt",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
showEnvVarsInLog = 0;
};
7753E29BC4C58ADD8FF6ADBA /* [CP] Copy Pods Resources */ = {
......@@ -191,30 +193,22 @@
files = (
);
inputPaths = (
"${SRCROOT}/Pods/Target Support Files/Pods-TickarooEmbedSDKDemo/Pods-TickarooEmbedSDKDemo-resources.sh",
"${PODS_CONFIGURATION_BUILD_DIR}/Tickaroo2CoreEmbed/core-assets.bundle",
"${PODS_CONFIGURATION_BUILD_DIR}/Tickaroo2CoreEmbed/tickarooui-assets.bundle",
"${PODS_CONFIGURATION_BUILD_DIR}/Tickaroo2CoreEmbed/tik-iconpack.bundle",
);
name = "[CP] Copy Pods Resources";
outputPaths = (
"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/core-assets.bundle",
"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/tickarooui-assets.bundle",
"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/tik-iconpack.bundle",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-TickarooEmbedSDKDemo/Pods-TickarooEmbedSDKDemo-resources.sh\"\n";
showEnvVarsInLog = 0;
};
ED0BAC5887894DDB0F8D40A0 /* [CP] Embed Pods Frameworks */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
);
inputPaths = (
);
name = "[CP] Embed Pods Frameworks";
outputPaths = (
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-TickarooEmbedSDKDemo/Pods-TickarooEmbedSDKDemo-frameworks.sh\"\n";
showEnvVarsInLog = 0;
};
/* End PBXShellScriptBuildPhase section */
/* Begin PBXSourcesBuildPhase section */
......
......@@ -21,10 +21,15 @@
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
_window = [[UIWindow alloc] initWithFrame:[UIScreen mainScreen].bounds];
_rootNavigation = [[UINavigationController alloc] initWithRootViewController:ViewController.new];
_rootNavigation.navigationBar.translucent = false;
[_window setRootViewController:_rootNavigation];
[_window makeKeyAndVisible];
UIFont *regularFont = [UIFont systemFontOfSize:12 weight:UIFontWeightRegular];
UIFont *mediumFont = [UIFont systemFontOfSize:12 weight:UIFontWeightMedium];
UIFont *boldFont = [UIFont systemFontOfSize:12 weight:UIFontWeightBold];
// Override point for customization after application launch.
[T2EmbedManager application:application didFinishLaunchingWithOptions:launchOptions
delegate:self
......@@ -33,8 +38,37 @@
T2EmbedOptionApiClientID : @"57a4a6dde4b09371f9e75743",
T2EmbedOptionApiSchema : @"https",
T2EmbedOptionApiHost : @"www.tickaroo.com",
T2EmbedOptionLanguage : @"de",
T2EmbedOptionAlternativeIconLayout : @(YES),
T2EmbedOptionDisplayScoreboardNavExtension : @(false)
}
styling:nil];
styling:@{
T2EmbedStylingBackgroundCornerRadius : @(0),
T2EmbedStylingBackgroundContentInset : [NSValue valueWithUIEdgeInsets:UIEdgeInsetsMake(0, 0, 0, 0)],
T2EmbedStylingPrimaryColor : [UIColor redColor],
T2EmbedStylingPrimaryColorDark : [UIColor colorWithRed:0.5 green:0 blue:0 alpha:1],
T2EmbedStylingAccentColor : [UIColor blueColor],
T2EmbedStylingAccentColorDark : [UIColor colorWithRed:0 green:0 blue:0.5 alpha:1],
T2EmbedStylingMainBackgroundColor : [UIColor grayColor],
T2EmbedStylingFontRegular : @{
T2EmbedStylingFontName : regularFont.fontName,
T2EmbedStylingFontSizeSmall : @(15),
T2EmbedStylingFontSizeBody : @(16),
T2EmbedStylingFontSizeHeadline : @(19),
},
T2EmbedStylingFontMedium : @{
T2EmbedStylingFontName : mediumFont.fontName,
T2EmbedStylingFontSizeSmall : @(15),
T2EmbedStylingFontSizeBody : @(16),
T2EmbedStylingFontSizeHeadline : @(19),
},
T2EmbedStylingFontBold : @{
T2EmbedStylingFontName : boldFont.fontName,
T2EmbedStylingFontSizeSmall : @(15),
T2EmbedStylingFontSizeBody : @(16),
T2EmbedStylingFontSizeHeadline : @(19),
}
}];
return YES;
}
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment